﻿using System.Windows;
using System.Windows.Controls;

namespace JumpListControl
{
  public class JumpListItemsControl : ItemsControl
  {
    protected override DependencyObject GetContainerForItemOverride()
    {
      return new JumpListItem();
    }

    protected override void PrepareContainerForItemOverride(DependencyObject element, object item)
    {
      base.PrepareContainerForItemOverride(element, item);
    }
  }

  public partial class JumpListItem : ContentControl
  {
    public JumpListItem()
    {
      DefaultStyleKey = typeof(JumpListItem);
    }
  }
}
